Create a purchase using a wallet passthrough

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The wallet passthrough object

This payload allows a vaulted wallet credential to be decryped and passed to FatZebra to be used for transactions. Currently supported passthrough wallets are ApplePay and GooglePay.

The wallet object should be supplied, including the wallet type and cryptogram, to ensure the correct switch settings are applied. The card and transactions details should be applied using the decrypted wallet details.

The wallet object for a passthrough transaction must contain:

  • type, currently supported values:
    • passthrough_apple_pay for ApplePay wallets
    • passthrough_google_pay for GooglePay wallets
  • Cryptogram - decrypted from the wallet

The SLI indicator should be provided in the extra field. This will be based on the eciIndicator in the decrypted payment data for the initial transaction - usually '05' and for subsequent merchant initiated transactions without the token this should be '07'.

Other fields may be applied as per standard purchase field.


🚧

BIN blocking based on county of origin will not be performed when using network token passthrough.

As the underlying instrument is not provided, and the network token submitted may have been generated with a BIN that corresponds to a foreign institution, BIN blocking can not be applied to transactions using network token passthrough.


🚧

SLI should be provided

The SLI should be provided in the extra object to ensure the wallet is correctly processed by the switch.

For ApplePay transactions, this value will be the eciIndicator in the payment data element. For Google pay transactions, this will be the eciIndicator value in the payment method details element.

In the case of subsequent transactions being provided without the cryptogram and a reference to a previous transaction, this value should be provided as 7

Body Params
int32
required

A positive integer representing how much to charge, in the smallest currency unit (eg., 100 to charge $1.00, or 100 to Charge ¥100, a zero decimal currency)

string
required

Reference of the transaction. Max length 255 characters.

string
required

RFC791-compliant IP address

string
required
Defaults to AUD

Three letter ISO currency code, in UPPERCASE

string
required

Card number decrypted from apple pay wallet

string
required

Name of the card holder decrypted from wallet. If none is provided by the wallet, a sensible default should be used, such as 'Card Holder' , 'ApplePay Card Holder', 'GooglePay card holder'

string

The card expiry decrypted from wallet - format: MM/YYYY

wallet
object

Wallet details including type and cryptogram (CAVV)

boolean
Defaults to false

Indicates if this is a test transaction

string
boolean
extra
object
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json